<?php

namespace Form;

use Form\Constraint\NotBlank;
use Form\Constraint\Phone;

class AddressForm extends Form
{

    public function __construct()
    {
        parent::__construct();

        $this
            ->add(
                new Field(
                    "adresse_libelle",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Libellé.")
                )
            )
            ->add(
                new Field(
                    "civilite_id",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez choisir une Civilité.")
                )
            )
            ->add(
                new Field(
                    "adresse_nom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Nom.")
                )
            )
            ->add(
                new Field(
                    "adresse_prenom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ Prénom.")
                )
            )
            ->add(
                new Field(
                    "adresse_rue",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ rue.")
                )
            )
            ->add(
                new Field(
                    "adresse_cp",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ code postal.")
                )
            )
            ->add(
                new Field(
                    "adresse_ville",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez remplir le champ ville.")
                )
            )
            ->add(
                new Field(
                    "pays_id",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => "Vous devez choisir un pays.")
                )
            )
            ->add(
                new Field(
                    "adresse_telephone",
                    array(
                        "not_empty" => new NotBlank(),
                        "is_number" => new Phone(),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir le numéro de téléphone.",
                        "is_number" => "La valeur remplie n'est pas un numéro de téléphone.",
                    )
                )
            )
        ;
    }

}