{extends file="layout/layout.tpl"}

{block name="content"}
    <div class="promo-section">
        <div class="carousel-container">
            {if !empty($slideshow)}
                <div class="carousel-promos">
                    {foreach $slideshow as $slide}
                        <div class="item active">
                            <a href="{$slide.ads_nom_lien}">
                                <img class="{parse_url($slide.ads_nom_nom)}" src="{$slide.ads_nom_image}" alt="{$slide.ads_nom_nom}">
                            </a>
                        </div>
                    {/foreach}
                </div>
            {/if}
        </div>

        <div class="banners">
            {if !empty($blocsHome)}
                {foreach $blocsHome as $bloc}
                    <a href="{$slide.ads_nom_lien}">
                        <div class="banner">
                            <img class="{parse_url($bloc.ads_nom_nom)}" src="{$bloc.ads_nom_image}" alt="{$bloc.ads_nom_nom}" />
                            <div class="title red-arrow-right">
                                {$bloc.ads_nom_nom}
                            </div>
                        </div>
                    </a>
                {/foreach}
            {/if}
        </div>
    </div>

    {if isset($arrCategories) && !empty($arrCategories)}
        <div class="categories">
            <h1 class="section-title bottom-grey-border">{txt value='Des tenues adaptées à votre métier'}</h1>
            <div class="carousel-slick-categories">
                {foreach $arrCategories as $categorie}
                    <div class="category">
                        <div class="image">
                            <img src="{$categorie.categorie_image}" alt="{$categorie.categorie_nom_nom}"/>
                        </div>
                        <div class="info">
                            <div class="title">
                                {$categorie.categorie_nom_nom}
                            </div>
                            <p class="category-description">
                                {$categorie.categorie_nom_desc|trim|truncate:120:'...'}
                                <span class="hover-info">
                                    <span class="red-corner-overlay"></span>
                                    <a href="{url page='liste_1' id=$categorie.categorie_id categorie_nom=$categorie.categorie_nom_nom}" class="products-link"><i class="fa fa-search"></i>{txt value='Voir les produits'}</a>
                                </span>
                            </p>
                        </div>
                    </div>
                {/foreach}
            </div>
        </div>
    {/if}
    {if isset($gammes['flash_sales']) && !empty($gammes['flash_sales']->products)}
        <div class="flash-sales">
            <h1 class="section-title bottom-grey-border">{$gammes['flash_sales']->gamme_nom_nom}</h1>
            <div class="carousel-slick products-list">
                {foreach $gammes['flash_sales']->products as $product}
                    <div class="product">
                        <div class="flash-sale flash-sale-info" rel="{$product.produit_prix_barre_date_fin}">
                            <div class="title">{$product.etiquette_nom_nom}</div>
                        </div>
                        <div class="image">
                            {image src=$product.produit_image alt=$product.produit_nom_nom width=150 height=255}
                            <span class="hover-info ventes">
                                <span class="transparent-bg"></span>
                                <a href="{url page="produit" produit_nom=$product.produit_nom_nom id=$product.produit_id}" class="button more-details"><i class="fa fa-search"></i>{txt value='Plus de détails'}</a>
                            </span>
                        </div>
                        <div class="info">
                            <div class="product-title">
                                {$product.produit_nom_nom}
                            </div>
                            <div class="price">
                                {price ht=$product.attribut_produit_prix_ht ttc=$product.attribut_produit_prix_ttc}
                            </div>
                            {if $product.promo|intval > 0}
                                <div class="old-price">
                                    {price ttc=$product.attribut_prix_ttc}
                                </div>
                            {/if}

                            <span class="hover-info">
                                <span class="red-corner-overlay"></span>

                                <form id="add-panier" name="add-panier-{$p.produit_id}" action="{url page="add_cart"}" method="post">
                                    <button type="submit" class="button btn order-button add-panier" data-form="add-panier-{$p.produit_id}" title="{txt value="Commander"}">{txt value="Commander"}</button>
                                </form>
                            </span>
                        </div>
                    </div>
                {/foreach}
            </div>
        </div>
    {/if}

    {if isset($gammes['news']) && !empty($gammes['news']->products)}
        <div class="latest">
            <h1 class="section-title bottom-grey-border">{txt value='Nouveautés'}</h1>

            <div class="carousel-slick products-list">
                {foreach $gammes['news']->products as $product}
                    <div class="product">
                        <div class="image">
                            {image src=$product.produit_image alt=$product.produit_nom_nom width=150 height=255}
                            <span class="hover-info">
                                <span class="transparent-bg"></span>
                                <a href="{url page="produit" produit_nom=$product.produit_nom_nom id=$product.produit_id}" class="button more-details"><i class="fa fa-search"></i>{txt value='Plus de détails'}</a>
                            </span>
                        </div>
                        <div class="info">
                            <div class="product-title">
                                {$product.produit_nom_nom}
                            </div>
                            <div class="price">
                                {price ht=$product.attribut_produit_prix_ht ttc=$product.attribut_produit_prix_ttc}
                            </div>
                            {if $product.promo|intval > 0}
                                <div class="old-price">
                                    {price ttc=$product.attribut_prix_ttc}
                                </div>
                            {/if}

                            <span class="hover-info">
                                <span class="red-corner-overlay"></span>
                                <form id="add-panier" name="add-panier-{$p.produit_id}" action="{url page="add_cart"}" method="post">
                                    <button type="submit" class="button btn order-button add-panier" data-form="add-panier-{$p.produit_id}" title="{txt value="Commander"}">{txt value="Commander"}</button>
                                </form>
                            </span>
                        </div>
                    </div>
                {/foreach}
            </div>
        </div>
    {/if}
{/block}

{block name="script-js"}
{/block}
