{extends file='layout/layout.tpl'}

{block name="content"}

<div class="container cart">

    {Breadcrumb::getInstance()->render()}

    {include file="order/nav.tpl" step=3}

    <div class="recap">

        <form name="form-order" action="{$smarty.server.REQUEST_URI}" method="post">

            {if !empty($error)}
                <ul class="error">
                    {foreach $error as $e}
                        {$e}
                    {/foreach}
                </ul>
            {/if}

            <section id="process" class="">

                <div class="addresses">
                  <div class="shipping-billing">
                    <h2>1. {txt value="Adresse"}</h2>
                    <ul class="list-unstyled">
                        {include file="order/address.tpl" address=$addrShipping type="shipping"}
                        {include file="order/address.tpl" address=$addrBilling type="billing"}
                    </ul>
                  </div>
                </div>

                <div class="shipping">
                    <h2>2. {txt value="Livraison"}</h2>
                    <div class="list-shipping table table-responsive">
                        {include file="order/livraison.tpl"}
                        {foreach $livraisons as $livraison}
                        {foreachelse}
                            <div>{txt value="Aucune livraison"}</div>
                        {/foreach}
                    </div>
                    {if !empty($relais)}
                        <div id="list-point-relais">
                            {$relais}
                        </div>
                    {/if}
                </div>

                <div  class="clearfix">
                    <h2>3. {txt value="Récapitulatif de votre commande"}</h2>

                    <div class="head">
                        <div class="designation">{txt value="Désignation"}</div>
                        <div class="size">{txt value="Taille"}</div>
                        <!-- <div class="price price-unitaire">{txt value="Prix unitaire TTC"}</div> -->
                        <div class="count">{txt value="Quantité"}</div>
                        <div class="price price-total">{txt value="Prix Total TTC"}</div>
                    </div>

                    <table id="contentPanier" class="table table-responsive cart-table">
                        <tr class="head">
                            <th class="designation" colspan="2">{txt value="Désignation"}</th>
                            <th class="size"><p>{txt value="Taille"}</p></th>
                            <th class="price price-unitaire"><p>{txt value="Prix unitaire TTC"}</p></th>
                            <th class="count"><p>{txt value="Quantité"}</p></th>
                            <th class="price price-total">{txt value="Prix Total TTC"}</th>
                        </tr>

                        {foreach $caddie as $cad}
                            {include file="order/produit.tpl" p=$cad}
                        {/foreach}

                    </table>

                    <div class="cart-summary">
                        <div class="total">
                            <div class="title">
                                {txt value='Total hors livraison'}
                            </div>
                            <div class="price">
                                {price ht=$sTotalHT ttc=$sTotalTTC}
                            </div>
                        </div>
                        {if isset($montantReduc)}
                            <div class="discount">
                                <div class="title">
                                    {txt value='Réduction'}
                                </div>
                                <div class="price">
                                    {price ttc=$montantReduc}
                                </div>
                            </div>
                        {/if}
                        <div class="delivery">
                            <div class="title">
                                {txt value='Livraison'}
                            </div>
                            <div class="price">
                                {price ht=$port.port_ht ttc=$port.port_ttc}
                            </div>
                        </div>
                        <div class="total-ttc">
                            <div class="title">
                                {txt value='Total TTC'}
                            </div>
                            <div class="price">
                                {price ht=$aPayerHT ttc=$aPayerTTC}
                            </div>
                        </div>
                        <div class="tva-value">
                            <div class="title">
                                {txt value='Dont TVA'}
                            </div>
                            <div class="price">
                                {price ttc=$montantTva}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="paiement_modes">
                    <h2 class="bg-lightbrown">4. {txt value="Mode de paiement"}</h2>
                    <div class="list-paiements table table-responsive">
                        {foreach $paiements as $paiement}
                            {include file="order/paiement.tpl"}
                        {foreachelse}
                            <div>{txt value="Aucun mode de paiement"}</div>
                        {/foreach}
                    </div>
                </div>

                <p class="pull-right checkbox">
                    <input type="checkbox" name="cgv" id="checkcgv"/><label class="bold" for="checkcgv" id="checkcgv_label">J'ai lu et j'accepte les <a href="{url page="page" page_nom_url="conditions-generales-de-vente"}" class="black underline">conditions générales de ventes</a>.</label>
                </p>

                <div class="clearfix"></div>

                <nav id="nav_process" class="clearfix">
                    {*<p class="prec"><a href="javascript:history.go(-1);">&lt; {txt value="Poursuivre mes achats"}</a></p>*}
                    <input type="submit" class="btn btn-red large-button pull-right margin-tb-40" value="{txt value="Valider et passer au paiement"}"/>
                </nav>
            </section>

        </form>

    </div>

</div>

{/block}

{block name="script-js"}
<script>
    function checkSameAddress() {
        if($('#sameAdress').is(':checked')){
            $('.billing .bottom-adress').css({
                'opacity':0.5
            });
        }else{
            $('.billing .bottom-adress').css({
                'opacity':1
            });

        }
    }

    jQuery(document).ready(function() {
        var panier = new Panier();
//        $(document).foundation();

        checkSameAddress();
        jQuery('#sameAdress').click(checkSameAddress);

        jQuery(document).on('click', 'input[name="livraison_zone_id"]', function() {
            panier.selectShipping(jQuery(this).val());
        });

        jQuery(document).on('click', "input[name^='ba_']", function(){
            if(jQuery(this).is(":checked")) {
                panier.addBonAchat(jQuery(this).val());
            } else {
                panier.deleteBonAchat(jQuery(this).val());
            }
        });
    });
</script>
{/block}
